"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const useQuizResultsLoaded_1 = tslib_1.__importDefault(require("./useQuizResultsLoaded"));
const useQuizResultClick_1 = tslib_1.__importDefault(require("./useQuizResultClick"));
const useQuizAddToCart_1 = tslib_1.__importDefault(require("./useQuizAddToCart"));
const useQuizNextClick_1 = tslib_1.__importDefault(require("./useQuizNextClick"));
const useQuizBackClick_1 = tslib_1.__importDefault(require("./useQuizBackClick"));
const useQuizEvents = (options) => {
    const { cioClient, quizApiState, resultsPageOptions, dispatchLocalState, resetQuizApiState, resetQuizLocalState, hydrateQuizLocalState, resetQuizStoredState, hasQuizStoredState, } = options;
    const { onAddToCartClick, onQuizResultClick, onQuizResultsLoaded } = resultsPageOptions;
    // Quiz Next button click
    const nextQuestion = (0, useQuizNextClick_1.default)(quizApiState, dispatchLocalState);
    // Quiz Back button click callback
    const previousQuestion = (0, useQuizBackClick_1.default)(dispatchLocalState);
    // Quiz result add to cart callback
    const addToCart = (0, useQuizAddToCart_1.default)(cioClient, quizApiState, onAddToCartClick);
    // Quiz result click callback
    const resultClick = (0, useQuizResultClick_1.default)(cioClient, quizApiState, onQuizResultClick);
    // Quiz results loaded event
    (0, useQuizResultsLoaded_1.default)(cioClient, quizApiState, onQuizResultsLoaded);
    const resetQuiz = () => {
        if (quizApiState.quizResults) {
            resetQuizApiState();
            resetQuizLocalState();
            resetQuizStoredState();
        }
    };
    return {
        addToCart,
        resultClick,
        nextQuestion,
        previousQuestion,
        resetQuiz,
        hydrateQuiz: hydrateQuizLocalState,
        hasStoredState: hasQuizStoredState,
        resetStoredState: resetQuizStoredState,
    };
};
exports.default = useQuizEvents;
