import { QuestionTypes, } from './actions';
export const initialState = {
    answers: [],
    answerInputs: {},
    isLastAnswer: false,
};
function answerInputReducer(state, action) {
    return {
        ...state,
        [String(action.payload.questionId)]: action.payload.input,
    };
}
export default function quizLocalReducer(state, action) {
    switch (action.type) {
        case QuestionTypes.OpenText:
            return {
                ...state,
                answers: [...state.answers, ['true']],
                answerInputs: answerInputReducer(state.answerInputs, action),
                isLastAnswer: !!action.payload?.isLastQuestion,
            };
        case QuestionTypes.Cover:
            return {
                ...state,
                answers: [...state.answers, ['seen']],
                isLastAnswer: !!action.payload?.isLastQuestion,
            };
        case QuestionTypes.SingleSelect:
            return {
                ...state,
                answers: [...state.answers, action.payload?.input],
                answerInputs: answerInputReducer(state.answerInputs, action),
                isLastAnswer: !!action.payload?.isLastQuestion,
            };
        case QuestionTypes.MultipleSelect:
            return {
                ...state,
                answers: [...state.answers, action.payload?.input],
                answerInputs: answerInputReducer(state.answerInputs, action),
                isLastAnswer: !!action.payload?.isLastQuestion,
            };
        case QuestionTypes.Back:
            return {
                ...state,
                answers: [...state.answers.slice(0, -1)],
                isLastAnswer: false,
            };
        case QuestionTypes.Reset:
            return {
                ...initialState,
            };
        case QuestionTypes.Hydrate:
            return {
                ...state,
                ...action.payload,
            };
        default:
            return state;
    }
}
